<script>
    var requireJS = [];

    loadJS(requireJS, "js/views/common.js");
    loadCSS('css/bootstrap-tokenfield.min.css');
    loadJS(requireJS, 'js/bootstrap-tokenfield.min.js');
    loadJS(requireJS, 'js/wings-tokenfield.js');
    loadJS(requireJS, "js/views/tickets.js");

</script>

<div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-ticket"></i> Tickets
                </div>
                <div class="card-block">

                    <div class="input-group">

                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-gear"></i>
                                Operaciones
                                <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu" id="actions-dropdown">
                                <a class="dropdown-item disabled" href="#">Elementos seleccionados</a>
                                <!--                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" href="#">Eliminar</a>
                                                                <a class="dropdown-item disabled" href="#">Contratos</a>
                                                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" href="#">Regenerar Contratos</a>
                                                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" href="#">Enviar contrato a portal de firmas</a>
                                                                <a class="dropdown-item disabled" href="#">Envios</a>
                                                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" href="#">Regenerar Pedidos</a>-->
                                <!--                                <a class="dropdown-item disabled" href="#">Prestador</a>-->
                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" id="action-create-client-xtra">Enviar al Operador</a>
                                <!--                                <a class="dropdown-item disabled" href="#">Otros</a>
                                                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" href="#">Enviar Email</a>-->
                            </div>
                        </span>
                        &nbsp;


                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary search-button">
                                <i class="fa fa-search"></i>
                            </button>                            
                        </span>

                        <div class="btn-group">
                            <input th:value="${q}" type="search" class="form-control search-input" placeholder="Buscar...">
                            <span class="search-clear fa fa-remove"></span>
                        </div>

                        &nbsp;                        
                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-filter"></i>
                                <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu" id="drop-status-filter">
                                <a class="dropdown-item" href="#">created</a>
                                <a class="dropdown-item" href="#">plan</a>
                                <a class="dropdown-item" href="#">step1</a>
                                <a class="dropdown-item" href="#">step2</a>
                                <a class="dropdown-item" href="#">payment</a>
                                <a class="dropdown-item" href="#">payment_done</a>
                                <a class="dropdown-item" href="#">complete</a>
                                <a class="dropdown-item" href="#">ordered</a>
                                <a class="dropdown-item" href="#">processing</a>
                            </div>
                        </span>                        
                        <div class="btn-group">
                            <input id="tokenfield" th:value="${status}" type="text" class="form-control">
                        </div>



                        <!--                        <div class="input-group">
                                                    <input type="search" class="" id="tokenfield" placeholder="Estado"/>
                                                    <span class="input-group-btn">
                                                        <button class="btn btn-default" type="button">Aplicar</button>
                                                    </span>
                                                </div>-->

                    </div>

                    <br/>


                    <table class="table table-bordered table-striped table-sm">
                        <thead>
                            <tr class="text-center">
                                <th><input class="chk-check-all" type="checkbox"></th>
                                <th>#</th>
                                <th>Creacion</th>
                                <th>Tipo</th>
                                <th>Referencia</th>
                                <th>Comentario</th>
                                <th>Usuario Creación</th>                                
                                <th>Solucionado</th>
                                <th>Fecha Solucionado</th>
                                <th>Usuario Solucionado</th>
                                <th>Comentario Resolucion</th>
                                <th>Rol</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td><input th:id="${item.id}" type="checkbox" name="client-id"></td>
                                <td th:text="${item.id}"></td>
                                <td th:if="${item.creationDate != null}" th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.creationDate == null}"></td>                                
                                <td th:text="${item.type}"></td>
                                <td th:text="${item.idValue}"></td>
                                <td class="text">
                                    <a href="#" data-toggle="tooltip" th:title="${item.comment}">
                                        <span th:text="${item.comment}"></span>
                                    </a>
                                </td>
                                <td th:text="${item.user}"></td>
                                <td class="text-center">
                                    <span class="badge badge-success" th:if="${item.solved}">si</span>
                                    <span class="badge badge-danger" th:if="${!item.solved}">no</span>
                                </td>
                                
                                <td th:if="${item.solvedDate != null}" th:text="${#dates.format(item.solvedDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.solvedDate == null}"></td>                                
                                <td th:text="${item.solvedUser}"></td>
                                <td class="text">
                                    <a href="#" data-toggle="tooltip" th:title="${item.solvedComment}">
                                        <span th:text="${item.solvedComment}"></span>
                                    </a>
                                </td>
                                <td th:text="${item.role}"></td>
                           
                                <td>
                                    <i class="fa fa-eye action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='views/clients/clients/'+${item.id}+'/form'"></i>
                                    <i sec:authorize="hasRole('ROLE_ADMIN')" class="fa fa-pencil action-button" data-toggle="modal" data-target="#editModal"></i>
                                </td>
                            </tr>
                        </tbody>
                    </table>


                    <div th:replace="fragments/pagination :: paginationbar"></div>

                </div>
            </div>
        </div>
        <!--/.col-->
    </div>
</div>


<!-- EDIT MODAL -->
<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Modal title</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p>One fine body&hellip;</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                <button type="button" class="btn btn-success">Guardar</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<div th:replace="fragments/view-modal"></div>